-- This script may be modified to change the civilizations in the game, along with their
-- colours, graphical image, starting technology and city names.
-- Civilizations can also be added or removed, though there must be at least 7 civilizations.

print("generate_races.lua enter")

race = conquests_addNewRace("The Romans", "Roman", 255, 255, 255, "conquests/data/gfx/civs/romans.jpg")
conquests_raceSetStartingTechnology(race, "Bronze Working")
conquests_raceAddCityName(race, "Rome")
conquests_raceAddCityName(race, "Veii")
conquests_raceAddCityName(race, "Antium")
conquests_raceAddCityName(race, "Cumae")
conquests_raceAddCityName(race, "Neapolis")
conquests_raceAddCityName(race, "Pompeii")
conquests_raceAddCityName(race, "Pisae")
conquests_raceAddCityName(race, "Ravenna")
conquests_raceAddCityName(race, "Hispalis")
conquests_raceAddCityName(race, "Viroconium")
conquests_raceAddCityName(race, "Lugundum")
conquests_raceAddCityName(race, "Lutetia")
conquests_raceAddCityName(race, "Byzantium")
conquests_raceAddCityName(race, "Brundisium")
conquests_raceAddCityName(race, "Syracuse")
conquests_raceAddCityName(race, "Caesaraugusta")
conquests_raceAddCityName(race, "Palmyra")
conquests_raceAddCityName(race, "Jerusalem")
conquests_raceAddCityName(race, "Caeserea")
conquests_raceAddCityName(race, "Tarentum")
conquests_raceAddCityName(race, "Nicomedia")
conquests_raceAddCityName(race, "Seleucia")
conquests_raceAddCityName(race, "Artaxata")
conquests_raceAddCityName(race, "Aurelianorum")
conquests_raceAddCityName(race, "Hippo Regius")
conquests_raceAddCityName(race, "Nicopolis")

print("generate_races.lua enter")

race = conquests_addNewRace("The English", "English", 255, 64, 0, "conquests/data/gfx/civs/english.jpg")
conquests_raceSetStartingTechnology(race, "Sailing")
conquests_raceAddCityName(race, "London")
conquests_raceAddCityName(race, "York")
conquests_raceAddCityName(race, "Nottingham")
conquests_raceAddCityName(race, "Hastings")
conquests_raceAddCityName(race, "Cantebury")
conquests_raceAddCityName(race, "Coventry")
conquests_raceAddCityName(race, "Warwick")
conquests_raceAddCityName(race, "Newcastle")
conquests_raceAddCityName(race, "Oxford")
conquests_raceAddCityName(race, "Liverpool")
conquests_raceAddCityName(race, "Dover")
conquests_raceAddCityName(race, "Brighton")
conquests_raceAddCityName(race, "Norwich")
conquests_raceAddCityName(race, "Leeds")
conquests_raceAddCityName(race, "Reading")
conquests_raceAddCityName(race, "Birmingham")
conquests_raceAddCityName(race, "Richmond")
conquests_raceAddCityName(race, "Exeter")
conquests_raceAddCityName(race, "Cambridge")
conquests_raceAddCityName(race, "Gloucester")
conquests_raceAddCityName(race, "Manchester")
conquests_raceAddCityName(race, "Bristol")
conquests_raceAddCityName(race, "Leicester")
conquests_raceAddCityName(race, "Carlisle")
conquests_raceAddCityName(race, "Ipswich")
conquests_raceAddCityName(race, "Portsmouth")

race = conquests_addNewRace("The Egyptians", "Egyptian", 255, 255, 0, "conquests/data/gfx/civs/egyptians.jpg")
conquests_raceSetStartingTechnology(race, "Agriculture")
conquests_raceAddCityName(race, "Thebes")
conquests_raceAddCityName(race, "Memphis")
conquests_raceAddCityName(race, "Heliopolis")
conquests_raceAddCityName(race, "Elephantine")
conquests_raceAddCityName(race, "Alexandria")
conquests_raceAddCityName(race, "Pi-Ramesses")
conquests_raceAddCityName(race, "Giza")
conquests_raceAddCityName(race, "Byblos")
conquests_raceAddCityName(race, "El-Amarna")
conquests_raceAddCityName(race, "Hieraconpolis")
conquests_raceAddCityName(race, "Abydos")
conquests_raceAddCityName(race, "Asyut")
conquests_raceAddCityName(race, "Avaris")
conquests_raceAddCityName(race, "Lisht")
conquests_raceAddCityName(race, "Buto")
conquests_raceAddCityName(race, "Edfu")
conquests_raceAddCityName(race, "Pithom")
conquests_raceAddCityName(race, "Busiris")
conquests_raceAddCityName(race, "Kahun")
conquests_raceAddCityName(race, "Athribis")
conquests_raceAddCityName(race, "Mendes")
conquests_raceAddCityName(race, "El-Ashmunein")
conquests_raceAddCityName(race, "Tanis")
conquests_raceAddCityName(race, "Buhen")
conquests_raceAddCityName(race, "Bubastis")
conquests_raceAddCityName(race, "This")

race = conquests_addNewRace("The Americans", "Amercian", 147, 204, 237, "conquests/data/gfx/civs/americans.jpg")
conquests_raceSetStartingTechnology(race, "Alphabet")

conquests_raceAddCityName(race, "Washington")
conquests_raceAddCityName(race, "New York")
conquests_raceAddCityName(race, "Boston")
conquests_raceAddCityName(race, "Philadelphia")
conquests_raceAddCityName(race, "Atlanta")
conquests_raceAddCityName(race, "Chicago")
conquests_raceAddCityName(race, "San Francisco")
conquests_raceAddCityName(race, "Buffalo")
conquests_raceAddCityName(race, "St. Louis")
conquests_raceAddCityName(race, "Detroit")
conquests_raceAddCityName(race, "New Orleans")
conquests_raceAddCityName(race, "Baltimore")
conquests_raceAddCityName(race, "Denver")
conquests_raceAddCityName(race, "Cincinnati")
conquests_raceAddCityName(race, "Dallas")
conquests_raceAddCityName(race, "Los Angeles")
conquests_raceAddCityName(race, "Kansas City")
conquests_raceAddCityName(race, "San Diego")
conquests_raceAddCityName(race, "Las Vegas")
conquests_raceAddCityName(race, "Phoenix")
conquests_raceAddCityName(race, "Seattle")
conquests_raceAddCityName(race, "Albuquerque")
conquests_raceAddCityName(race, "Portland")
conquests_raceAddCityName(race, "Minneapolis")

race = conquests_addNewRace("The French", "French", 64, 255, 64, "conquests/data/gfx/civs/french.jpg")
conquests_raceSetStartingTechnology(race, "Archery")
conquests_raceAddCityName(race, "Paris")
conquests_raceAddCityName(race, "Orleans")
conquests_raceAddCityName(race, "Lyons")
conquests_raceAddCityName(race, "Rheims")
conquests_raceAddCityName(race, "Tours")
conquests_raceAddCityName(race, "Marseilles")
conquests_raceAddCityName(race, "Chartres")
conquests_raceAddCityName(race, "Avignon")
conquests_raceAddCityName(race, "Besancon")
conquests_raceAddCityName(race, "Rouen")
conquests_raceAddCityName(race, "Grenoble")
conquests_raceAddCityName(race, "Dijon")
conquests_raceAddCityName(race, "Amiens")
conquests_raceAddCityName(race, "Cherbourg")
conquests_raceAddCityName(race, "Poitiers")
conquests_raceAddCityName(race, "Toulouse")
conquests_raceAddCityName(race, "Bayonne")
conquests_raceAddCityName(race, "Strasbourg")
conquests_raceAddCityName(race, "Brest")
conquests_raceAddCityName(race, "Bordeaux")

race = conquests_addNewRace("The Greeks", "Greek", 255, 64, 64, "conquests/data/gfx/civs/greeks.jpg")
conquests_raceSetStartingTechnology(race, "Alphabet")
conquests_raceAddCityName(race, "Athens")
conquests_raceAddCityName(race, "Sparta")
conquests_raceAddCityName(race, "Thermopylae")
conquests_raceAddCityName(race, "Corinth")
conquests_raceAddCityName(race, "Delphi")
conquests_raceAddCityName(race, "Pharsalos")
conquests_raceAddCityName(race, "Knossos")
conquests_raceAddCityName(race, "Argos")
conquests_raceAddCityName(race, "Mycenae")
conquests_raceAddCityName(race, "Herakleia")
conquests_raceAddCityName(race, "Ephesos")
conquests_raceAddCityName(race, "Thessalonica")
conquests_raceAddCityName(race, "Rhodes")
conquests_raceAddCityName(race, "Eretria")
conquests_raceAddCityName(race, "Troy")
conquests_raceAddCityName(race, "Marathon")
conquests_raceAddCityName(race, "Halicarnassus")
conquests_raceAddCityName(race, "Pergamon")
conquests_raceAddCityName(race, "Miletos")
conquests_raceAddCityName(race, "Artemisium")
conquests_raceAddCityName(race, "Megara")
conquests_raceAddCityName(race, "Phocaea")
conquests_raceAddCityName(race, "Sicyon")
conquests_raceAddCityName(race, "Gortyn")
conquests_raceAddCityName(race, "Mytilene")
conquests_raceAddCityName(race, "Tegea")

race = conquests_addNewRace("The Vikings", "Viking", 150, 75, 0, "conquests/data/gfx/civs/vikings.jpg")
conquests_raceSetStartingTechnology(race, "Sailing")
conquests_raceAddCityName(race, "Nidaros")
conquests_raceAddCityName(race, "Uppsala")
conquests_raceAddCityName(race, "Haithabu")
conquests_raceAddCityName(race, "Birka")
conquests_raceAddCityName(race, "Bergen")
conquests_raceAddCityName(race, "Jelling")
conquests_raceAddCityName(race, "Roskilde")
conquests_raceAddCityName(race, "Tnsberg")
conquests_raceAddCityName(race, "Sigtuna")
conquests_raceAddCityName(race, "Ldse")
conquests_raceAddCityName(race, "Odense")
conquests_raceAddCityName(race, "Oslo")
conquests_raceAddCityName(race, "Ribe")
conquests_raceAddCityName(race, "Lindholm Hje")
conquests_raceAddCityName(race, "Vsters")
conquests_raceAddCityName(race, "Aarhus")
conquests_raceAddCityName(race, "Lund")
conquests_raceAddCityName(race, "Kaupang")
conquests_raceAddCityName(race, "Reykjavik")
conquests_raceAddCityName(race, "ingvellir")
conquests_raceAddCityName(race, "Stamford")
conquests_raceAddCityName(race, "Holmgrd")
conquests_raceAddCityName(race, "Aldeigjuborg")
conquests_raceAddCityName(race, "Tynwald")
conquests_raceAddCityName(race, "Leirvik")
conquests_raceAddCityName(race, "Vinland")

--[[
race = conquests_addNewRace("The ", "", 255, 64, 0, "conquests/data/gfx/civs/.jpg")
conquests_raceSetStartingTechnology(race, "")
conquests_raceAddCityName(race, "")
--]]

print("generate_races.lua exit")
